// Signalscan Version 6.5s2


define noactivityindicator
define analog waveform lines
define add variable default overlay off
define waveform window analogheight 1
define terminal automatic
define buttons control \
  1 opensimmulationfile \
  2 executedofile \
  3 designbrowser \
  4 waveform \
  5 source \
  6 breakpoints \
  7 definesourcessearchpath \
  8 exit \
  9 createbreakpoint \
  10 creategroup \
  11 createmarker \
  12 closesimmulationfile \
  13 renamesimmulationfile \
  14 replacesimulationfiledata \
  15 listopensimmulationfiles \
  16 savedofile
define buttons waveform \
  1 undo \
  2 cut \
  3 copy \
  4 paste \
  5 delete \
  6 zoomin \
  7 zoomout \
  8 zoomoutfull \
  9 expand \
  10 createmarker \
  11 designbrowser:1 \
  12 variableradixbinary \
  13 variableradixoctal \
  14 variableradixdecimal \
  15 variableradixhexadecimal \
  16 variableradixascii
define buttons designbrowser \
  1 undo \
  2 cut \
  3 copy \
  4 paste \
  5 delete \
  6 cdupscope \
  7 getallvariables \
  8 getdeepallvariables \
  9 addvariables \
  10 addvarsandclosewindow \
  11 closewindow \
  12 scopefiltermodule \
  13 scopefiltertask \
  14 scopefilterfunction \
  15 scopefilterblock \
  16 scopefilterprimitive
define buttons event \
  1 undo \
  2 cut \
  3 copy \
  4 paste \
  5 delete \
  6 move \
  7 closewindow \
  8 duplicate \
  9 defineasrisingedge \
  10 defineasfallingedge \
  11 defineasanyedge \
  12 variableradixbinary \
  13 variableradixoctal \
  14 variableradixdecimal \
  15 variableradixhexadecimal \
  16 variableradixascii
define buttons source \
  1 undo \
  2 cut \
  3 copy \
  4 paste \
  5 delete \
  6 createbreakpoint \
  7 creategroup \
  8 createmarker \
  9 createevent \
  10 createregisterpage \
  11 closewindow \
  12 opensimmulationfile \
  13 closesimmulationfile \
  14 renamesimmulationfile \
  15 replacesimulationfiledata \
  16 listopensimmulationfiles
define buttons register \
  1 undo \
  2 cut \
  3 copy \
  4 paste \
  5 delete \
  6 createregisterpage \
  7 closewindow \
  8 continuefor \
  9 continueuntil \
  10 continueforever \
  11 stop \
  12 previous \
  13 next \
  14 variableradixbinary \
  15 variableradixhexadecimal \
  16 variableradixascii
define show related transactions  
define exit prompt
define event search direction forward
define variable nofullhierarchy
define variable nofilenames
define variable nofullpathfilenames
include bookmark with filenames
include scope history without filenames
define waveform window listpane 8.71
define waveform window namepane 27.31
define multivalueindication
define pattern curpos dot
define pattern cursor1 dot
define pattern cursor2 dot
define pattern marker dot
define print designer root
define print border
define print color blackonwhite
define print command "/usr/ucb/lpr -P%P"
define print printer  lp
define print range visible
define print variable visible
define rise fall time low threshold percentage 10
define rise fall time high threshold percentage 90
define rise fall time low value 0
define rise fall time high value 3.3
define sendmail command "/usr/lib/sendmail"
define sequence time width 30.00
define snap

define source noprompt
define time units default
define userdefinedbussymbol
define user guide directory "/usr/local/designacc/signalscan-6.5s2/doc/html"
define waveform window grid off
define waveform window waveheight 14
define waveform window wavespace 6
define web browser command netscape
define zoom outfull on initial add off
add group \
    A \

add group \
    dwb_biu \
      tb_or1200.risc.dwb_biu.aw'h \
      tb_or1200.risc.dwb_biu.biu_addr[31:0]'h \
      tb_or1200.risc.dwb_biu.biu_from_biu[31:0]'h \
      tb_or1200.risc.dwb_biu.biu_rdy \
      tb_or1200.risc.dwb_biu.biu_read \
      tb_or1200.risc.dwb_biu.biu_to_biu[31:0]'h \
      tb_or1200.risc.dwb_biu.biu_write \
      tb_or1200.risc.dwb_biu.dw'h \
      tb_or1200.risc.dwb_biu.wb_ack_i \
      tb_or1200.risc.dwb_biu.wb_adr_o[31:0]'h \
      tb_or1200.risc.dwb_biu.wb_clk_i \
      tb_or1200.risc.dwb_biu.wb_cyc_o \
      tb_or1200.risc.dwb_biu.wb_dat_i[31:0]'h \
      tb_or1200.risc.dwb_biu.wb_dat_o[31:0]'h \
      tb_or1200.risc.dwb_biu.wb_err_i \
      tb_or1200.risc.dwb_biu.wb_rst_i \
      tb_or1200.risc.dwb_biu.wb_rty_i \
      tb_or1200.risc.dwb_biu.wb_sel_o[3:0]'h \
      tb_or1200.risc.dwb_biu.wb_stb_o \
      tb_or1200.risc.dwb_biu.wb_we_o \

add group \
    cpu \
      tb_or1200.risc.cpu.alu_dataout[31:0]'h \
      tb_or1200.risc.cpu.alu_op[3:0]'h \
      tb_or1200.risc.cpu.aw'h \
      tb_or1200.risc.cpu.branch_addrofs[31:2]'h \
      tb_or1200.risc.cpu.branch_op[2:0]'h \
      tb_or1200.risc.cpu.branch_stall \
      tb_or1200.risc.cpu.branch_taken \
      tb_or1200.risc.cpu.clk \
      tb_or1200.risc.cpu.comp_op[3:0]'h \
      tb_or1200.risc.cpu.dclsu_addr[31:0]'h \
      tb_or1200.risc.cpu.dclsu_datain[31:0]'h \
      tb_or1200.risc.cpu.dclsu_dataout[31:0]'h \
      tb_or1200.risc.cpu.dclsu_lsuop[3:0]'h \
      tb_or1200.risc.cpu.dclsu_stall \
      tb_or1200.risc.cpu.dw'h \
      tb_or1200.risc.cpu.eear[31:0]'h \
      tb_or1200.risc.cpu.eear_we \
      tb_or1200.risc.cpu.epcr[31:0]'h \
      tb_or1200.risc.cpu.epcr_we \
      tb_or1200.risc.cpu.esr[8:0]'h \
      tb_or1200.risc.cpu.esr_we \
      tb_or1200.risc.cpu.except_flushpipe \
      tb_or1200.risc.cpu.except_start \
      tb_or1200.risc.cpu.except_started \
      tb_or1200.risc.cpu.except_type[3:0]'h \
      tb_or1200.risc.cpu.flag \
      tb_or1200.risc.cpu.ic_insn[31:0]'h \
      tb_or1200.risc.cpu.ic_pcaddr[31:0]'h \
      tb_or1200.risc.cpu.ic_stall \
      tb_or1200.risc.cpu.if_pc[31:0]'h \
      tb_or1200.risc.cpu.insn[31:0]'h \
      tb_or1200.risc.cpu.int_high \
      tb_or1200.risc.cpu.int_low \
      tb_or1200.risc.cpu.lr_sav[31:2]'h \
      tb_or1200.risc.cpu.lsu_addrofs[31:0]'h \
      tb_or1200.risc.cpu.lsu_dataout[31:0]'h \
      tb_or1200.risc.cpu.lsu_op[3:0]'h \
      tb_or1200.risc.cpu.lsu_stall \
      tb_or1200.risc.cpu.mod_addr[31:0]'h \
      tb_or1200.risc.cpu.mod_datain[31:0]'h \
      tb_or1200.risc.cpu.mod_dataout[31:0]'h \
      tb_or1200.risc.cpu.multicycle[1:0]'h \
      tb_or1200.risc.cpu.muxed_b[31:0]'h \
      tb_or1200.risc.cpu.operand_a[31:0]'h \
      tb_or1200.risc.cpu.operand_b[31:0]'h \
      tb_or1200.risc.cpu.pipeline_freeze \
      tb_or1200.risc.cpu.rf_addra[4:0]'h \
      tb_or1200.risc.cpu.rf_addrb[4:0]'h \
      tb_or1200.risc.cpu.rf_addrw[4:0]'h \
      tb_or1200.risc.cpu.rf_dataa[31:0]'h \
      tb_or1200.risc.cpu.rf_datab[31:0]'h \
      tb_or1200.risc.cpu.rf_dataw[31:0]'h \
      tb_or1200.risc.cpu.rfa_tmuxed[13:0]'h \
      tb_or1200.risc.cpu.rfa_tqa[31:0]'h \
      tb_or1200.risc.cpu.rfb_tmuxed[13:0]'h \
      tb_or1200.risc.cpu.rfb_tqa[31:0]'h \
      tb_or1200.risc.cpu.rfwb_op[2:0]'h \
      tb_or1200.risc.cpu.rst \
      tb_or1200.risc.cpu.sel_a[1:0]'h \
      tb_or1200.risc.cpu.sel_b[1:0]'h \
      tb_or1200.risc.cpu.shrot_op[1:0]'h \
      tb_or1200.risc.cpu.simm[31:0]'h \
      tb_or1200.risc.cpu.sprs_dataout[31:0]'h \
      tb_or1200.risc.cpu.sr[8:0]'h \
      tb_or1200.risc.cpu.tp1w[22:0]'h \
      tb_or1200.risc.cpu.tp2w[31:0]'h \
      tb_or1200.risc.cpu.tp3w[12:0]'h \
      tb_or1200.risc.cpu.tp4w[27:0]'h \
      tb_or1200.risc.cpu.tp_dir_in \
      tb_or1200.risc.cpu.tp_in[31:0]'h \
      tb_or1200.risc.cpu.tp_insn[31:0]'h \
      tb_or1200.risc.cpu.tp_out[31:0]'h \
      tb_or1200.risc.cpu.tp_sel[1:0]'h \
      tb_or1200.risc.cpu.tp_wr_insn \
      tb_or1200.risc.cpu.tpdw[31:0]'h \
      tb_or1200.risc.cpu.wb_forw[31:0]'h \
      tb_or1200.risc.cpu.wb_insn[31:0]'h \
      tb_or1200.risc.cpu.wb_pc[31:0]'h \
      tb_or1200.risc.cpu.wbforw_valid \

add group \
    ifetch \
      tb_or1200.risc.cpu.ifetch.binsn_addr[31:2]'h \
      tb_or1200.risc.cpu.ifetch.branch_addrofs[31:2]'h \
      tb_or1200.risc.cpu.ifetch.branch_op[2:0]'h \
      tb_or1200.risc.cpu.ifetch.clk \
      tb_or1200.risc.cpu.ifetch.epcr[31:0]'h \
      tb_or1200.risc.cpu.ifetch.except_start \
      tb_or1200.risc.cpu.ifetch.except_type[3:0]'h \
      tb_or1200.risc.cpu.ifetch.flag \
      tb_or1200.risc.cpu.ifetch.ic_insn[31:0]'h \
      tb_or1200.risc.cpu.ifetch.ic_pcaddr[31:0]'h \
      tb_or1200.risc.cpu.ifetch.ic_stall \
      tb_or1200.risc.cpu.ifetch.ic_tp_insn[31:0]'h \
      tb_or1200.risc.cpu.ifetch.if_insn[31:0]'h \
      tb_or1200.risc.cpu.ifetch.if_pc[31:0]'h \
      tb_or1200.risc.cpu.ifetch.if_saved[32:0]'h \
      tb_or1200.risc.cpu.ifetch.lr_restor[31:0]'h \
      tb_or1200.risc.cpu.ifetch.pcreg[31:2]'h \
      tb_or1200.risc.cpu.ifetch.pipeline_freeze \
      tb_or1200.risc.cpu.ifetch.rst \
      tb_or1200.risc.cpu.ifetch.taken \
      tb_or1200.risc.cpu.ifetch.tp_insn[31:0]'h \
      tb_or1200.risc.cpu.ifetch.tp_wr_insn \
      tb_or1200.risc.cpu.id.id_insn[31:0]'h \
      tb_or1200.risc.cpu.id.ex_insn[31:0]'h \
      tb_or1200.risc.cpu.id.wb_insn[31:0]'h \


deselect all
open window waveform 1 geometry 37 79 959 601
zoom at 672230(0)ps 0.02454902 0.00000000
