#!/bin/sh

XL_OPTS="+turbo+3 +incdir+../rtl"
F_FILES=`find .. ../../libs -name "files.f" -print`

echo "### Looking for files.f ###"
for f_file in $F_FILES; do
	if [ -f $f_file ]; then
		echo
		echo " $f_file:"
		for ver_file in `cat $f_file | grep -v "#"`; do
			ver_file="`echo $f_file | sed s/files\.f//`$ver_file"
			VER_FILES="$VER_FILES $ver_file"
		done
	fi
done

echo "### Starting simulation ###"

verilog $XL_OPTS $VER_FILES $1
grep mtspr verilog.log
